App\Entity\Compte:
    type: entity
    table: compte
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        libele:
            type: string
            length: 255
            fixed: false
            nullable: false
        numCompte:
            type: string
            length: 255
            fixed: false
            nullable: true
        banque:
            type: string
            length: 255
            fixed: false
            nullable: true
        raison_sociale:
            type: string
            length: 255
            fixed: false
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: comptes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: true
    oneToMany:
        apaiements:
            targetEntity: PaiementAchat
            mappedBy: compte
        vpaiements:
            targetEntity: PaiementVente
            mappedBy: compte
        avoirs:
            targetEntity: VenteRetour
            mappedBy: compte
        retours:
            targetEntity: AchatRetour
            mappedBy: compte
        depenses:
            targetEntity: Depense
            mappedBy: compte